Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

GetPeers - Algorand

Example code for the GetPeers REST method. Complete guide on how to use GetPeers REST in GetBlock Web3 documentation.

Get information about connected peers.

Endpoint

GET /v2/node/peers

Example

export ALGO_ALGOD=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/

curl "${ALGO_ALGOD}v2/node/peers"

Response

Returns application/json. Top-level fields:

Field
Type
Description

Peers

array

—

Error Handling

Error
Message
Description

400

Bad request

A parameter was missing or malformed

404

Not found

The requested resource does not exist

403 / RBAC: access denied

Access denied

The GetBlock access token is missing or incorrect

Last updated

Was this helpful?